"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class RabbitMqConnection {
    constructor(connection, connectionOptions) {
        this.connection = connection;
        if (typeof connectionOptions !== 'string')
            this.options = connectionOptions;
        else
            this.uri = connectionOptions;
    }
    getAmqpConnection() {
        return this.connection;
    }
    getUri() {
        return this.uri || null;
    }
    getOptions() {
        return this.options || null;
    }
}
exports.RabbitMqConnection = RabbitMqConnection;
//# sourceMappingURL=rabbitmq-connection.js.map