"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rabbitmq_error_1 = require("./rabbitmq.error");
class RabbitMqConnectionError extends rabbitmq_error_1.RabbitMqError {
    constructor(message, code) {
        super(message);
        this.code = code;
        this.name = 'RabbitMqConnectionError';
        Object.setPrototypeOf(this, RabbitMqConnectionError.prototype);
    }
}
exports.RabbitMqConnectionError = RabbitMqConnectionError;
//# sourceMappingURL=rabbitmq-connection.error.js.map