import * as amqp from 'amqplib';
import { RabbitMqConnection } from '../models/rabbitmq-connection';
export declare class RabbitMqConnectionFactory {
    private uri;
    private options;
    constructor();
    setUri(uri: string): void;
    setOptions(options: amqp.Options.Connect): void;
    newConnection(): Promise<RabbitMqConnection>;
}
